Page MenuHomePhabricator

Rewrite Echo browser tests for the new split notification change
Closed, ResolvedPublic

Description

The current browser tests are checking for the old flyout. They should be adjusted to test the new split notifications change.

Event Timeline

Mooeypoo created this task.Sep 18 2015, 6:43 PM
Mooeypoo updated the task description. (Show Details)
Mooeypoo raised the priority of this task from to Needs Triage.
Mooeypoo added a subscriber: Mooeypoo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2015, 6:43 PM
Catrope triaged this task as High priority.Sep 23 2015, 11:16 PM
Catrope set Security to None.

Change 242016 had a related patch set uploaded (by Mooeypoo):
[wip] Add browser test for notifications in Echo

https://gerrit.wikimedia.org/r/242016

Change 242422 had a related patch set uploaded (by Mooeypoo):
Add browser test to "mark all as read" in Echo notifications

https://gerrit.wikimedia.org/r/242422

Change 242016 merged by jenkins-bot:
Add browser test for notifications in Echo

https://gerrit.wikimedia.org/r/242016

Catrope closed this task as Resolved.Nov 22 2015, 10:50 PM
Catrope added a subscriber: Catrope.

Change 242422 abandoned by Mooeypoo:
[wip] Add browser test to "mark all as read" in Echo notifications

Reason:
Moving to nodejs at some point anyways. Tracked in the ticket.

https://gerrit.wikimedia.org/r/242422